com.qualcomm.robotcore.hardware

## Enum I2cDeviceSynchImpl.CONTROLLER_PORT_MODE

- java.lang.Object
- - java.lang.Enum<I2cDeviceSynchImpl.CONTROLLER_PORT_MODE>
  - - com.qualcomm.robotcore.hardware.I2cDeviceSynchImpl.CONTROLLER_PORT_MODE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<I2cDeviceSynchImpl.CONTROLLER_PORT_MODE>
  Enclosing class:
    I2cDeviceSynchImpl

      protected static enum I2cDeviceSynchImpl.CONTROLLER_PORT_MODE
      extends java.lang.Enum<I2cDeviceSynchImpl.CONTROLLER_PORT_MODE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ`
    `SWITCHINGTOREADMODE`
    `UNKNOWN`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2cDeviceSynchImpl.CONTROLLER_PORT_MODE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I2cDeviceSynchImpl.CONTROLLER_PORT_MODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final I2cDeviceSynchImpl.CONTROLLER_PORT_MODE UNKNOWN

    - #### WRITE

          public static final I2cDeviceSynchImpl.CONTROLLER_PORT_MODE WRITE

    - #### SWITCHINGTOREADMODE

          public static final I2cDeviceSynchImpl.CONTROLLER_PORT_MODE SWITCHINGTOREADMODE

    - #### READ

          public static final I2cDeviceSynchImpl.CONTROLLER_PORT_MODE READ

  - ### Method Detail

    - #### values

          public static I2cDeviceSynchImpl.CONTROLLER_PORT_MODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2cDeviceSynchImpl.CONTROLLER_PORT_MODE c : I2cDeviceSynchImpl.CONTROLLER_PORT_MODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I2cDeviceSynchImpl.CONTROLLER_PORT_MODE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null